<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('leaderboards', function (Blueprint $table) {
            $table->string('score', 20)->change();
            $table->string('minutes', 2)->change();
            $table->string('seconds', 2)->change();
            $table->string('milli', 3)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('leaderboards', function (Blueprint $table) {
            $table->bigInteger('score')->change();
            $table->bigInteger('minutes')->change();
            $table->bigInteger('seconds')->change();
            $table->bigInteger('milli')->change();
        });
    }
};
